# Xapian::StringListUnserialiser Class Reference

Class to unserialise a list of strings serialised by a StringListSerialiser. More...

`#include <matchspy.h>`

List of all members.

## Public Types

typedef std::input_iterator_tag | iterator_category
typedef std::string | value_type
typedef size_t | difference_type
typedef std::string * | pointer
typedef std::string & | reference

## Public Member Functions

| StringListUnserialiser ()
| Default constructor - use this to define an end iterator.
| StringListUnserialiser (const std::string &in)
| Constructor which takes a serialised list of strings, and creates an iterator pointing to the first of them.
| ~StringListUnserialiser ()
| Destructor - nothing special to release.
| StringListUnserialiser (const StringListUnserialiser &other)
| Copy constructor.
void | operator= (const StringListUnserialiser &other)
| Assignment operator.
std::string | operator * () const
| Get the current item.
StringListUnserialiser & | operator++ ()
| Move to the next item.
StringListUnserialiser | operator++ (int)
| Move to the next item (postfix).

## Friends

bool | operator== (const StringListUnserialiser &a, const StringListUnserialiser &b)
| Compare this iterator with another.
bool | operator!= (const StringListUnserialiser &a, const StringListUnserialiser &b)

## Detailed Description

Class to unserialise a list of strings serialised by a StringListSerialiser.

The class can be used as an iterator: use the default constructor to get an end iterator.

## Constructor & Destructor Documentation

Xapian::StringListUnserialiser::StringListUnserialiser | ( |  | ) | `[inline]`

Default constructor - use this to define an end iterator.

Xapian::StringListUnserialiser::StringListUnserialiser | ( | const std::string & | in | ) | `[inline]`

Constructor which takes a serialised list of strings, and creates an iterator pointing to the first of them.

Xapian::StringListUnserialiser::~StringListUnserialiser | ( |  | ) | `[inline]`

Destructor - nothing special to release.

Xapian::StringListUnserialiser::StringListUnserialiser | ( | const StringListUnserialiser & | other | ) | `[inline]`

Copy constructor.

## Member Function Documentation

void Xapian::StringListUnserialiser::operator= | ( | const StringListUnserialiser & | other | ) | `[inline]`

Assignment operator.

std::string Xapian::StringListUnserialiser::operator * | ( |  | ) | const`[inline]`

Get the current item.

StringListUnserialiser& Xapian::StringListUnserialiser::operator++ | ( |  | ) | `[inline]`

Move to the next item.

StringListUnserialiser Xapian::StringListUnserialiser::operator++ | ( | int |  | ) | `[inline]`

Move to the next item (postfix).

## Friends And Related Function Documentation

bool operator== | ( | const StringListUnserialiser & | a,
|  | const StringListUnserialiser & | b |
| ) |  |  | `[friend]`

Compare this iterator with another.

The documentation for this class was generated from the following file:

- include/xapian/matchspy.h